<?php
/**
 * Options
 */

add_action( 'admin_menu', 'revenueflex_add_admin_menu' );
// Define pages to register them and to change body class
global $revenueflex_pages; $revenueflex_pages = [
    ['name' =>  esc_html__('Validate Key','revenueflex'),'id' => 'validateKeyPage'],
    ['name' =>  esc_html__('Project Create / Select','revenueflex'),'id' => 'projectSelectCreatePage'],
    ['name' =>  esc_html__('Dashboard','revenueflex'),'id' => 'dashboardPage'],
    ['name' =>  esc_html__('Project Settings','revenueflex'),'id' => 'projectSettingsPage'],
    ['name' =>  esc_html__('User Settings','revenueflex'),'id' => 'userSettingsPage'],
    ['name' =>  esc_html__('Update User Settings','revenueflex'),'id' => 'updateUserSettingsPage'],
    ['name' =>  esc_html__('Update Email','revenueflex'),'id' => 'updateEmailPage'],
    ['name' =>  esc_html__('Update Email Validate Key','revenueflex'),'id' => 'updateEmailValidateKeyPage'],
    ['name' =>  esc_html__('Delete Account','revenueflex'),'id' => 'deleteAccountPage'],
    ['name' =>  esc_html__('Subscription','revenueflex'),'id' => 'subscriptionPage']
];
function revenueflex_add_admin_menu(  ) {
    global $revenueflex_pages;
    // global $menuTitle; $menuTitle = '<span style="color:#34ca78;">RevenueFlex</br>Easy Ads</span>'; 
    global $menuTitle; $menuTitle = 'RevenueFlex</br>Easy Ads';
    $menu_icon = 'data:image/svg+xml;base64,' . base64_encode('<svg width="20" height="40" viewBox="0 -598 1792 1792" xmlns="http://www.w3.org/2000/svg"><path fill="black" d="M1362 1185q0 153-99.5 263.5t-258.5 136.5v175q0 14-9 23t-23 9h-135q-13 0-22.5-9.5t-9.5-22.5v-175q-66-9-127.5-31t-101.5-44.5-74-48-46.5-37.5-17.5-18q-17-21-2-41l103-135q7-10 23-12 15-2 24 9l2 2q113 99 243 125 37 8 74 8 81 0 142.5-43t61.5-122q0-28-15-53t-33.5-42-58.5-37.5-66-32-80-32.5q-39-16-61.5-25t-61.5-26.5-62.5-31-56.5-35.5-53.5-42.5-43.5-49-35.5-58-21-66.5-8.5-78q0-138 98-242t255-134v-180q0-13 9.5-22.5t22.5-9.5h135q14 0 23 9t9 23v176q57 6 110.5 23t87 33.5 63.5 37.5 39 29 15 14q17 18 5 38l-81 146q-8 15-23 16-14 3-27-7-3-3-14.5-12t-39-26.5-58.5-32-74.5-26-85.5-11.5q-95 0-155 43t-60 111q0 26 8.5 48t29.5 41.5 39.5 33 56 31 60.5 27 70 27.5q53 20 81 31.5t76 35 75.5 42.5 62 50 53 63.5 31.5 76.5 13 94z"/></svg>');
    add_menu_page( 'Revenueflex', $menuTitle, 'manage_options', 'startPage', 'revenueflex_startPage', $menu_icon );
    
    foreach($revenueflex_pages as $pageRevenueflex) {
        add_submenu_page( 'startPage', $pageRevenueflex['name'], $pageRevenueflex['name'], 'manage_options', 'revenueflex-'.$pageRevenueflex['id'], 'revenueflex_'.$pageRevenueflex['id'] );
    }
}

add_action( 'admin_init', 'revenueflex_settings_init' );
function revenueflex_settings_init(  ) { 
    /* TO DEBUG */
	// if(isset($_GET['r'])) {
	// 	revenueflex_reset_options();
	// }
    global $revenueflex_pages;
    register_setting( 'startPage', 'revenueflex_settings_startPage' );
    foreach($revenueflex_pages as $pageRevenueflex) {
        register_setting( $pageRevenueflex['id'], 'revenueflex_settings_'.$pageRevenueflex['id'] );
    }
}