<?php
global $preSettingsRevenueflex;
add_action( 'admin_init', 'revenueflex_settings_startPage' );
function revenueflex_settings_startPage(  ) {
	global $preSettingsRevenueflex;
	$pageNameMain = 'startPage';
	$pageName = revenueflex_getPageName($pageNameMain);
	$sectionName = revenueflex_getSectionName($pageNameMain);
	add_settings_section(
		$sectionName, 
		esc_html__( 'Set up RevenueFlex', 'revenueflex' ), 
		'revenueflex_settings_section_callback', 
		$pageNameMain
	);

	add_settings_field( 
		'revenueflex_mail_address', 
		esc_html__( 'Your mail address', 'revenueflex' ), 
		'revenueflex_text_render', 
		$pageNameMain, 
		$sectionName,
		[
			'placeholder' => esc_html__( 'Your mail address', 'revenueflex' ),
			'name' => $preSettingsRevenueflex.$pageName.'[revenueflex_mail_address]',
			'id' => 'revenueflex-mail-address',
			'value' => 'revenueflex_mail_address',
			'pageName' => $pageName
		] 
	);

}
add_action( 'current_screen', 'revenueflex_startPage_before' );
function revenueflex_startPage_before(){
	$my_current_screen = get_current_screen();
	if($my_current_screen->base == 'toplevel_page_startPage') {
		revenueflex_checkStartPage();
	}
}

function revenueflex_startPage(  ) { 
	revenueflex_checkStartPage();
	global $plugin_dir_uri_revenueFlex;
	$pageNameMain = 'startPage'; ?>
		<div class="container py-3 revenueflex-container">
			<div class="row">
				<div class="col-12 text-center">
					<?php revenueflex_get_top_section(); ?>
				</div>
				<div class="col-12">
					<form action='options.php' method='post' id="<?php echo esc_attr($pageNameMain); ?>" class="d-table mx-auto my-3 revenueflex-form">
						<?php
						settings_fields( $pageNameMain );
						do_settings_sections( $pageNameMain );
						submit_button('Save');
						?>
					</form>
				</div>
				<div class="col-12 text-center">
					<?php revenueflex_get_bottom_section(); ?>
				</div>
			</div>
		</div>
		<?php
}
function revenueflex_checkStartPage() {
	global $preSettingsRevenueflex;
	$options_startPage = revenueflex_getOption( 'startPage');
	$options_validateKeyPage = revenueflex_getOption( 'validateKeyPage');
	$options_projectSelectCreatePage = revenueflex_getOption( 'projectSelectCreatePage');
	$email = $options_startPage['revenueflex_mail_address'];
	$apikey = $options_validateKeyPage['revenueflex_api_key'];
	$project = $options_projectSelectCreatePage['revenueflex_mail_address'];
	if( $email && $apikey) {
		if($project) {
			revenueflex_goPage('dashboardPage');
		} else {
			revenueflex_goPage('projectSelectCreatePage');
		}
	}
}